Enable the JDK17 build on branch 5.11

Description

We need a version of byteman that supports JDK17 first.

Environment

None

Assignee

Yoann Rodière

Reporter

Yoann Rodière

Labels

None

Suitable for new contributors

None

Pull Request

None

Feedback Requested

None

Components

Fix versions

Priority

Major